Debian Bug report logs - #473847
gtk-theme-switch: recommends packages not in main

version graph

Package: gtk-theme-switch; Maintainer for gtk-theme-switch is Marius Gavrilescu <marius@ieval.ro>; Source for gtk-theme-switch is src:gtk-theme-switch.

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 22:27:17 UTC

Severity: important

Tags: patch

Found in version gtk-theme-switch/2.0.4

Fixed in version gtk-theme-switch/2.0.5

Done: Barry deFreese <bddebian@comcast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pedro Villavicencio Garrido <pvillavi@gnome.cl>:
Bug#473847; Package gtk-theme-switch. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Pedro Villavicencio Garrido <pvillavi@gnome.cl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: gtk-theme-switch: recommends packages not in main
Date: Wed, 2 Apr 2008 00:25:06 +0200
[Message part 1 (text/plain, inline)]
Package: gtk-theme-switch
Version: 2.0.4
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU gtk-theme-switch, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my gtk-theme-switch 2.0.4+nmu1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ยท''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[gtk-theme-switch-2.0.4+nmu1-nmu.diff (text/x-diff, attachment)]

Reply sent to Barry deFreese <bddebian@comcast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 473847-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 473847-close@bugs.debian.org
Subject: Bug#473847: fixed in gtk-theme-switch 2.0.5
Date: Wed, 16 Apr 2008 15:47:04 +0000
Source: gtk-theme-switch
Source-Version: 2.0.5

We believe that the bug you reported is fixed in the latest version of
gtk-theme-switch, which is due to be installed in the Debian FTP archive:

gtk-theme-switch_2.0.5.dsc
  to pool/main/g/gtk-theme-switch/gtk-theme-switch_2.0.5.dsc
gtk-theme-switch_2.0.5.tar.gz
  to pool/main/g/gtk-theme-switch/gtk-theme-switch_2.0.5.tar.gz
gtk-theme-switch_2.0.5_amd64.deb
  to pool/main/g/gtk-theme-switch/gtk-theme-switch_2.0.5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473847@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bddebian@comcast.net> (supplier of updated gtk-theme-switch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Apr 2008 23:28:49 -0400
Source: gtk-theme-switch
Binary: gtk-theme-switch
Architecture: source amd64
Version: 2.0.5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Barry deFreese <bddebian@comcast.net>
Description: 
 gtk-theme-switch - GTK+ theme switching utility
Closes: 291008 462904 462906 473847
Changes: 
 gtk-theme-switch (2.0.5) unstable; urgency=low
 .
   * QA upload.
     + Set maintainer to Debian QA Group <packages@qa.debian.org>.
   * Build gtk2 binary only. (Closes: #462906, #462904, #291008).
     + Rename debian/switch.1 to switch2.1 to match binary.
   * Drop recommends for gtk-engines-pixmap. (Closes: #473847).
     + Thanks to amaya for the bug report and fix.
   * Update FSF address in copyright.
   * Bump debhelper build-dep and compat to 5.
   * Bump Standards Version to 3.7.3.
     + Menu policy transition.
Checksums-Sha1: 
 0f6ecaf3bc8a31bbb5a53708c990a22ffc6ff17b 763 gtk-theme-switch_2.0.5.dsc
 8c552b07735d602a8ee5632a23a7c521dac53bc1 23450 gtk-theme-switch_2.0.5.tar.gz
 5e4f33518c5fdbe6485bd0191e6345bafa65816d 19792 gtk-theme-switch_2.0.5_amd64.deb
Checksums-Sha256: 
 3ae941409e376dcb6b86d0fe53ffa2bdce38ef6407349e4a0fda32f2633c3513 763 gtk-theme-switch_2.0.5.dsc
 d93ca45c6d7e9cf3e923ae29cbbecbe14e3bbd50ef23f9230ec39d3b8d868a7d 23450 gtk-theme-switch_2.0.5.tar.gz
 1cd7b06449fade466bc5ac4cb92312a052dc96de76d6c1e75900060aeb527091 19792 gtk-theme-switch_2.0.5_amd64.deb
Files: 
 23f38e38e3b098c43b59e61573397db2 763 x11 optional gtk-theme-switch_2.0.5.dsc
 9775656eb1dab08c883fd0e3c23fc0a5 23450 x11 optional gtk-theme-switch_2.0.5.tar.gz
 9325e08a66b7a74968f1f4404550d3d1 19792 x11 optional gtk-theme-switch_2.0.5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkgGHdUACgkQNFDtUT/MKpAh5wCeOcpiUGymWYsT1dxTxWHVaBkf
gTgAnRbtCAaUdagzI9AjcoslbVW8dByu
=uGOX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 May 2008 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:26:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.